local _,rematch = ...
local L = rematch.localization
local C = rematch.constants
local settings = rematch.settings
rematch.summaryDialog = {}

rematch.events:Register(rematch.summaryDialog,"PLAYER_LOGIN",function(self)

    rematch.dialog:Register("PetSummary",{
        title = L["Pet Collection Summary"],
        accept = OKAY,
        layout = {"Icon","Spacer","Text","Spacer2"},
        refreshFunc = function(self,info,subject,firstRun)
            self.Icon:SetTexture("Interface\\Icons\\spell_Mekkatorque_bot_redwrench")
            self.Icon:SetTexCoord(0.075,0.925,0.075,0.925)
            self.Text:SetText(L["Not yet implemented\n\nA summary/statistics of your pet collection will be added later in the beta."])
        end,
    })

end)

